## VOICE Get Supported Messages request VOICE Get Supported Messages request |

## Functions

QmiMessageVoiceGetSupportedMessagesOutput * | qmi_message_voice_get_supported_messages_output_ref ()
void | qmi_message_voice_get_supported_messages_output_unref ()
gboolean | qmi_message_voice_get_supported_messages_output_get_result ()
gboolean | qmi_message_voice_get_supported_messages_output_get_list ()
void | qmi_client_voice_get_supported_messages ()
QmiMessageVoiceGetSupportedMessagesOutput * | qmi_client_voice_get_supported_messages_finish ()

## Types and Values

| QmiMessageVoiceGetSupportedMessagesOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageVoiceGetSupportedMessagesOutput

## Description

## Functions

### qmi_message_voice_get_supported_messages_output_ref ()

    QmiMessageVoiceGetSupportedMessagesOutput *
    qmi_message_voice_get_supported_messages_output_ref
                                   (QmiMessageVoiceGetSupportedMessagesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceGetSupportedMessagesOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_voice_get_supported_messages_output_unref ()

    void
    qmi_message_voice_get_supported_messages_output_unref
                                   (QmiMessageVoiceGetSupportedMessagesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceGetSupportedMessagesOutput. |

Since: 1.14

### qmi_message_voice_get_supported_messages_output_get_result ()

    gboolean
    qmi_message_voice_get_supported_messages_output_get_result
                                   (QmiMessageVoiceGetSupportedMessagesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceGetSupportedMessagesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.14

### qmi_message_voice_get_supported_messages_output_get_list ()

    gboolean
    qmi_message_voice_get_supported_messages_output_get_list
                                   (QmiMessageVoiceGetSupportedMessagesOutput *self,
                                    GArray **value_list,
                                    GError **error);

Get the 'List' field from `self` .

#### Parameters

self | a QmiMessageVoiceGetSupportedMessagesOutput. |
value_list | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_client_voice_get_supported_messages ()

    void
    qmi_client_voice_get_supported_messages
                                   (QmiClientVoice *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Supported Messages request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_get_supported_messages_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_voice_get_supported_messages_finish ()

    QmiMessageVoiceGetSupportedMessagesOutput *
    qmi_client_voice_get_supported_messages_finish
                                   (QmiClientVoice *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_voice_get_supported_messages()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_get_supported_messages()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceGetSupportedMessagesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_get_supported_messages_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageVoiceGetSupportedMessagesOutput

    typedef struct _QmiMessageVoiceGetSupportedMessagesOutput QmiMessageVoiceGetSupportedMessagesOutput;

The QmiMessageVoiceGetSupportedMessagesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14